Patchwork Revert "initrdscripts: mount / as read-only when live-booting"

login
register
mail settings
Submitter Ross Burton
Date July 25, 2013, 3:31 p.m.
Message ID <1374766300-14041-1-git-send-email-ross.burton@intel.com>
Download mbox | patch
Permalink /patch/54511/
State Accepted
Commit ec0e7f7fc70f23884dd1ebf3e7a82aeb4712859e
Headers show

Comments

Ross Burton - July 25, 2013, 3:31 p.m.
My test environment must have been messed up as now hddimgs are failing to
re-mount / as read-write.

This reverts commit 7af92f8fa3a12fc8fcb22dbd12f87d89768b2d39.

Signed-off-by: Ross Burton <ross.burton@intel.com>
---
 meta/recipes-core/initrdscripts/files/init-live.sh |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Patch

diff --git a/meta/recipes-core/initrdscripts/files/init-live.sh b/meta/recipes-core/initrdscripts/files/init-live.sh
index c56c79a..890c562 100644
--- a/meta/recipes-core/initrdscripts/files/init-live.sh
+++ b/meta/recipes-core/initrdscripts/files/init-live.sh
@@ -157,7 +157,7 @@  mount_and_boot() {
     case $union_fs_type in
 	"overlayfs")
 	    mkdir -p /rootfs.ro /rootfs.rw
-	    if ! mount -o ro,loop,noatime,nodiratime /media/$i/$ISOLINUX/$ROOT_IMAGE /rootfs.ro; then
+	    if ! mount -o rw,loop,noatime,nodiratime /media/$i/$ISOLINUX/$ROOT_IMAGE /rootfs.ro; then
 		rm -rf /rootfs.ro /rootfs.rw
 		fatal "Could not mount rootfs image"
 	    else
@@ -170,7 +170,7 @@  mount_and_boot() {
 	    ;;
 	"aufs")
 	    mkdir -p /rootfs.ro /rootfs.rw
-	    if ! mount -o ro,loop,noatime,nodiratime /media/$i/$ISOLINUX/$ROOT_IMAGE /rootfs.ro; then
+	    if ! mount -o rw,loop,noatime,nodiratime /media/$i/$ISOLINUX/$ROOT_IMAGE /rootfs.ro; then
 		rm -rf /rootfs.ro /rootfs.rw
 		fatal "Could not mount rootfs image"
 	    else
@@ -182,7 +182,7 @@  mount_and_boot() {
 	    fi
 	    ;;
 	"")
-	    if ! mount -o ro,loop,noatime,nodiratime /media/$i/$ISOLINUX/$ROOT_IMAGE $ROOT_MOUNT ; then
+	    if ! mount -o rw,loop,noatime,nodiratime /media/$i/$ISOLINUX/$ROOT_IMAGE $ROOT_MOUNT ; then
 		fatal "Could not mount rootfs image"
 	    fi
 	    ;;